[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / ExtractFunctionMixin

# Class: ExtractFunctionMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts#L12)

## Extends

- [`ExtractFunctionsMixin`](ExtractFunctionsMixin.md)

## Extended by

- [`ExtractIsValueFunctionMixin`](ExtractIsValueFunctionMixin.md)
- [`ExtractToDisplayFunctionMixin`](ExtractToDisplayFunctionMixin.md)

## Constructors

### new ExtractFunctionMixin()

> **new ExtractFunctionMixin**(): [`ExtractFunctionMixin`](ExtractFunctionMixin.md)

#### Returns

[`ExtractFunctionMixin`](ExtractFunctionMixin.md)

#### Inherited from

[`ExtractFunctionsMixin`](ExtractFunctionsMixin.md).[`constructor`](ExtractFunctionsMixin.md#constructors)

## Properties

### injector

> `protected` **injector**: `Injector`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:18](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts#L18)

## Methods

### extractFunction()

> **extractFunction**\<`Args`, `Result`\>(`defaultFunction`, `formDefinition`, `controlId`, `name`): [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<`Args`, `Result`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:20](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts#L20)

#### Type Parameters

• **Args** *extends* `any`[]

• **Result**

#### Parameters

##### defaultFunction

`null` | [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<`Args`, `Result`\>

##### formDefinition

`FormDefinition`

##### controlId

`string`

##### name

`string`

#### Returns

[`UseFunctionType`](../type-aliases/UseFunctionType.md)\<`Args`, `Result`\>

***

### extractFunctions()

> `protected` **extractFunctions**(`defaultMap`, `formDefinition`, `controlId`): `Map`\<`string`, [`UseFunctionDefinition`](../interfaces/UseFunctionDefinition.md)\<`unknown`, `any`[], [`UseFunctionConfig`](../interfaces/UseFunctionConfig.md)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L43)

#### Parameters

##### defaultMap

`null` | `Map`\<`string`, [`UseFunctionDefinition`](../interfaces/UseFunctionDefinition.md)\<`unknown`, `any`[], [`UseFunctionConfig`](../interfaces/UseFunctionConfig.md)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseFunctionDefinition`](../interfaces/UseFunctionDefinition.md)\<`unknown`, `any`[], [`UseFunctionConfig`](../interfaces/UseFunctionConfig.md)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

#### Inherited from

[`ExtractFunctionsMixin`](ExtractFunctionsMixin.md).[`extractFunctions`](ExtractFunctionsMixin.md#extractfunctions)
